gpo.zugaina.org

Search Portage & Overlays:

www-apps/moodle

The Moodle Course Management System

Screenshots

  • moodle-2.7.1
    ~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86
    mysqli postgres imap ldap odbc vhosts vhosts

    View      Download      Browse     License: GPL-2   
    Overlay: funtoo (distro)
  • moodle-2.7.1
    ~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86
    mysqli postgres imap ldap odbc vhosts vhosts

    View      Download      Browse     License: GPL-2   
    Overlay: gentoo (distro)
  • moodle-2.6.4
    ~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86
    mysqli postgres imap ldap odbc vhosts vhosts

    View      Download      Browse     License: GPL-2   
    Overlay: funtoo (distro)
  • moodle-2.6.4
    ~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86
    mysqli postgres imap ldap odbc vhosts vhosts

    View      Download      Browse     License: GPL-2   
    Overlay: gentoo (distro)
  • moodle-2.5.7
    ~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86
    mysqli postgres imap ldap odbc vhosts vhosts

    View      Download      Browse     License: GPL-2   
    Overlay: gentoo (distro)
  • moodle-2.5.7
    ~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86
    mysqli postgres imap ldap odbc vhosts vhosts

    View      Download      Browse     License: GPL-2   
    Overlay: funtoo (distro)
  • moodle-2.4.11
    ~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86
    mysqli postgres imap ldap odbc vhosts vhosts

    View      Download      Browse     License: GPL-2   
    Overlay: gentoo (distro)
  • moodle-2.4.11
    ~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86
    mysqli postgres imap ldap odbc vhosts vhosts

    View      Download      Browse     License: GPL-2   
    Overlay: funtoo (distro)
  • moodle-1.8.3
    ~x86
    ldap mysql postgres vhosts

    View      Download      Browse     License: GPL-2   
    Overlay: webapps-experimental (layman)

ChangeLog

# ChangeLog for www-apps/moodle
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/www-apps/moodle/ChangeLog,v 1.59 2014/07/13 11:36:33 blueness Exp $

*moodle-2.7.1 (13 Jul 2014)
*moodle-2.5.7 (13 Jul 2014)
*moodle-2.4.11 (13 Jul 2014)
*moodle-2.6.4 (13 Jul 2014)

13 Jul 2014; Anthony G. Basile <blueness@gentoo.org> +moodle-2.4.11.ebuild,
+moodle-2.5.7.ebuild, +moodle-2.6.4.ebuild, +moodle-2.7.1.ebuild,
-moodle-2.4.10.ebuild, -moodle-2.5.6.ebuild, -moodle-2.6.3.ebuild,
-moodle-2.7.ebuild:
Version bumps, removed older

*moodle-2.7 (12 May 2014)

12 May 2014; Anthony G. Basile <blueness@gentoo.org> +moodle-2.7.ebuild,
-moodle-2.4.9.ebuild, -moodle-2.5.5.ebuild, -moodle-2.6.2.ebuild:
Add 2.7 branch, remove older

*moodle-2.6.3 (11 May 2014)
*moodle-2.5.6 (11 May 2014)
*moodle-2.4.10 (11 May 2014)

11 May 2014; Anthony G. Basile <blueness@gentoo.org> +moodle-2.4.10.ebuild,
+moodle-2.5.6.ebuild, +moodle-2.6.3.ebuild, -moodle-2.4.8.ebuild,
-moodle-2.5.4.ebuild, -moodle-2.6.1.ebuild:
Version bumps

*moodle-2.4.9 (08 Mar 2014)
*moodle-2.6.2 (08 Mar 2014)
*moodle-2.5.5 (08 Mar 2014)

08 Mar 2014; Anthony G. Basile <blueness@gentoo.org> +moodle-2.4.9.ebuild,
+moodle-2.5.5.ebuild, +moodle-2.6.2.ebuild:
Version bumps

*moodle-2.6.1 (13 Feb 2014)

13 Feb 2014; Anthony G. Basile <blueness@gentoo.org> +moodle-2.6.1.ebuild,
-moodle-2.6.ebuild:
Version bump 2.6 branch

13 Feb 2014; Anthony G. Basile <blueness@gentoo.org> -moodle-2.3.11.ebuild:
Remove legacy version

13 Feb 2014; Anthony G. Basile <blueness@gentoo.org> -moodle-2.3.10.ebuild,
-moodle-2.4.7.ebuild, -moodle-2.5.3.ebuild, -moodle-2.6.1.ebuild:
Cleanup vulnerable versions, bug #501192

*moodle-2.4.8 (12 Jan 2014)
*moodle-2.5.4 (12 Jan 2014)
*moodle-2.6.1 (12 Jan 2014)
*moodle-2.3.11 (12 Jan 2014)

12 Jan 2014; Anthony G. Basile <blueness@gentoo.org> +moodle-2.3.11.ebuild,
+moodle-2.4.8.ebuild, +moodle-2.5.4.ebuild, +moodle-2.6.1.ebuild:
Version bumps

*moodle-2.6 (27 Nov 2013)

27 Nov 2013; Anthony G. Basile <blueness@gentoo.org> +moodle-2.6.ebuild:
Version bump 2.6 branch

12 Nov 2013; Anthony G. Basile <blueness@gentoo.org> -moodle-2.3.9.ebuild,
-moodle-2.4.6.ebuild, -moodle-2.5.2.ebuild:
Remove older versions

*moodle-2.5.3 (10 Nov 2013)
*moodle-2.4.7 (10 Nov 2013)
*moodle-2.3.10 (10 Nov 2013)

10 Nov 2013; Anthony G. Basile <blueness@gentoo.org> +moodle-2.3.10.ebuild,
+moodle-2.4.7.ebuild, +moodle-2.5.3.ebuild:
Version bumps

10 Sep 2013; Anthony G. Basile <blueness@gentoo.org> -moodle-2.3.8.ebuild,
-moodle-2.4.5.ebuild, -moodle-2.5.1.ebuild:
Remove vulnerable versions, bug #484492

*moodle-2.3.9 (08 Sep 2013)
*moodle-2.5.2 (08 Sep 2013)
*moodle-2.4.6 (08 Sep 2013)

08 Sep 2013; Anthony G. Basile <blueness@gentoo.org> +moodle-2.3.9.ebuild,
+moodle-2.4.6.ebuild, +moodle-2.5.2.ebuild, -moodle-2.2.11.ebuild:
Version bumps, remove deprecated 2.2 branch

28 Jul 2013; Anthony G. Basile <blueness@gentoo.org> moodle-2.5.1.ebuild:
Fix dependence on php, bug #478186

28 Jul 2013; Anthony G. Basile <blueness@gentoo.org> -moodle-2.2.10.ebuild,
-moodle-2.3.7.ebuild, -moodle-2.4.4.ebuild, -moodle-2.5.ebuild:
Remove older vulnerable versions

*moodle-2.3.8 (07 Jul 2013)
*moodle-2.4.5 (07 Jul 2013)
*moodle-2.2.11 (07 Jul 2013)
*moodle-2.5.1 (07 Jul 2013)

07 Jul 2013; Anthony G. Basile <blueness@gentoo.org> +moodle-2.2.11.ebuild,
+moodle-2.3.8.ebuild, +moodle-2.4.5.ebuild, +moodle-2.5.1.ebuild:
Version bumps

01 Jul 2013; Anthony G. Basile <blueness@gentoo.org> -moodle-2.2.9.ebuild,
-moodle-2.3.6.ebuild, -moodle-2.4.3.ebuild:
Remove vulnerable versions, bug #470904

*moodle-2.2.10 (14 May 2013)
*moodle-2.4.4 (14 May 2013)
*moodle-2.5 (14 May 2013)
*moodle-2.3.7 (14 May 2013)

14 May 2013; Anthony G. Basile <blueness@gentoo.org> +moodle-2.2.10.ebuild,
+moodle-2.3.7.ebuild, +moodle-2.4.4.ebuild, +moodle-2.5.ebuild:
Version bumps

26 Mar 2013; Anthony G. Basile <blueness@gentoo.org> -moodle-2.2.7.ebuild,
-moodle-2.3.4.ebuild, -moodle-2.4.1.ebuild:
Remove older vulnerable versions, bug #463336

18 Mar 2013; Anthony G. Basile <blueness@gentoo.org> -moodle-2.2.8.ebuild,
-moodle-2.3.5.ebuild, -moodle-2.4.2.ebuild:
Remove version broken by regression

*moodle-2.2.9 (18 Mar 2013)
*moodle-2.4.3 (18 Mar 2013)
*moodle-2.3.6 (18 Mar 2013)

18 Mar 2013; Anthony G. Basile <blueness@gentoo.org> +moodle-2.2.9.ebuild,
+moodle-2.3.6.ebuild, +moodle-2.4.3.ebuild:
Version bumps, fix major regression,
https://tracker.moodle.org/browse/MDL-38474

*moodle-2.4.2 (09 Mar 2013)
*moodle-2.3.5 (09 Mar 2013)
*moodle-2.2.8 (09 Mar 2013)

09 Mar 2013; Anthony G. Basile <blueness@gentoo.org> +moodle-2.2.8.ebuild,
+moodle-2.3.5.ebuild, +moodle-2.4.2.ebuild:
Version bumps

27 Jan 2013; Anthony G. Basile <blueness@gentoo.org> -moodle-2.2.6.ebuild,
-moodle-2.3.3.ebuild, -moodle-2.4.ebuild:
Remove vulnerable versions, bug #454318

*moodle-2.2.7 (12 Jan 2013)
*moodle-2.3.4 (12 Jan 2013)
*moodle-2.4.1 (12 Jan 2013)

12 Jan 2013; Anthony G. Basile <blueness@gentoo.org> +moodle-2.2.7.ebuild,
+moodle-2.3.4.ebuild, +moodle-2.4.1.ebuild, -moodle-2.1.9.ebuild:
Version bumps

*moodle-2.4 (07 Dec 2012)

07 Dec 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.4.ebuild:
Version bump to new branch

15 Nov 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-2.1.8.ebuild,
-moodle-2.2.5.ebuild, -moodle-2.3.2.ebuild:
Remove vulnerable versions, bug #443102

10 Nov 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.19.ebuild,
-moodle-2.0.10.ebuild:
Remove older unsupported versions

*moodle-2.1.9 (10 Nov 2012)
*moodle-2.3.3 (10 Nov 2012)
*moodle-2.2.6 (10 Nov 2012)

10 Nov 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.1.9.ebuild,
+moodle-2.2.6.ebuild, +moodle-2.3.3.ebuild:
Version bumps

17 Sep 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-2.1.7.ebuild,
-moodle-2.2.4.ebuild, -moodle-2.3.1.ebuild:
Drop vulnerable versions, bug #435364

*moodle-2.3.2 (12 Sep 2012)
*moodle-2.2.5 (12 Sep 2012)
*moodle-2.1.8 (12 Sep 2012)

12 Sep 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.1.8.ebuild,
+moodle-2.2.5.ebuild, +moodle-2.3.2.ebuild:
Version bumps

24 Aug 2012; Anthony G. Basile <blueness@gentoo.org> moodle-1.9.19.ebuild,
moodle-2.0.10.ebuild, moodle-2.1.7.ebuild, moodle-2.2.4.ebuild,
moodle-2.3.1.ebuild:
Use REQUIRED_USE so at least one backend db is provided, bug #432354

11 Jul 2012; Anthony G. Basile <blueness@gentoo.org> moodle-1.9.19.ebuild,
moodle-2.0.10.ebuild, moodle-2.1.7.ebuild, moodle-2.2.4.ebuild,
moodle-2.3.1.ebuild:
Keyword ~mips

11 Jul 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.18.ebuild,
-moodle-2.0.9.ebuild, -moodle-2.1.6.ebuild, -moodle-2.2.3.ebuild,
-moodle-2.3.ebuild:
Punt older versions

*moodle-2.3.1 (06 Jul 2012)
*moodle-2.2.4 (06 Jul 2012)
*moodle-2.1.7 (06 Jul 2012)
*moodle-2.0.10 (06 Jul 2012)
*moodle-1.9.19 (06 Jul 2012)

06 Jul 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.19.ebuild,
+moodle-2.0.10.ebuild, +moodle-2.1.7.ebuild, +moodle-2.2.4.ebuild,
+moodle-2.3.1.ebuild:
Version bump

*moodle-2.3 (26 Jun 2012)

26 Jun 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.3.ebuild:
Version bump

23 May 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.17.ebuild,
-moodle-2.0.8.ebuild, -moodle-2.1.5.ebuild, -moodle-2.2.2.ebuild:
Punt vulnerable versions, bug #417217

*moodle-2.2.3 (16 May 2012)
*moodle-2.1.6 (16 May 2012)
*moodle-2.0.9 (16 May 2012)
*moodle-1.9.18 (16 May 2012)

16 May 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.18.ebuild,
+moodle-2.0.9.ebuild, +moodle-2.1.6.ebuild, +moodle-2.2.3.ebuild:
Version bump all branches

04 Apr 2012; Anthony G. Basile <blueness@gentoo.org>
-moodle-1.9.16-r1.ebuild, -moodle-2.0.7-r1.ebuild, -moodle-2.1.4-r1.ebuild,
-moodle-2.2.1-r1.ebuild:
Remove older vulnerable versions

*moodle-2.2.2 (12 Mar 2012)
*moodle-2.1.5 (12 Mar 2012)
*moodle-2.0.8 (12 Mar 2012)
*moodle-1.9.17 (12 Mar 2012)

12 Mar 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.17.ebuild,
+moodle-2.0.8.ebuild, +moodle-2.1.5.ebuild, +moodle-2.2.2.ebuild:
Version bumps

07 Mar 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.16.ebuild,
moodle-1.9.16-r1.ebuild, -moodle-2.0.7.ebuild, moodle-2.0.7-r1.ebuild,
-moodle-2.1.4.ebuild, moodle-2.1.4-r1.ebuild, -moodle-2.2.1.ebuild,
moodle-2.2.1-r1.ebuild:
Remove older versions depending on php with gd-external

*moodle-2.2.1-r1 (29 Jan 2012)
*moodle-2.1.4-r1 (29 Jan 2012)
*moodle-2.0.7-r1 (29 Jan 2012)
*moodle-1.9.16-r1 (29 Jan 2012)

29 Jan 2012; Anthony G. Basile <blueness@gentoo.org>
+moodle-1.9.16-r1.ebuild, +moodle-2.0.7-r1.ebuild, +moodle-2.1.4-r1.ebuild,
+moodle-2.2.1-r1.ebuild:
Remove gd-external, fix depend on >=php5.3* for moodle 2.1* and 2.2*,
add session to PHP_REQUIRED_FLAGS_*, bug #400853

14 Jan 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.15.ebuild,
-moodle-2.0.6.ebuild, -moodle-2.1.3.ebuild:
Removed vulnerable versions

*moodle-2.2.1 (08 Jan 2012)

08 Jan 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.2.1.ebuild:
Added ebuild for the 2.2 branch

*moodle-2.1.4 (08 Jan 2012)
*moodle-2.0.7 (08 Jan 2012)
*moodle-1.9.16 (08 Jan 2012)

08 Jan 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.16.ebuild,
+moodle-2.0.7.ebuild, +moodle-2.1.4.ebuild:
Version bumps

07 Dec 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.14.ebuild,
-moodle-2.0.5.ebuild, -moodle-2.1.2.ebuild:
Removed vulnerable versions, bug #393475

*moodle-2.1.3 (29 Nov 2011)
*moodle-2.0.6 (29 Nov 2011)
*moodle-1.9.15 (29 Nov 2011)

29 Nov 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.15.ebuild,
+moodle-2.0.6.ebuild, +moodle-2.1.3.ebuild:
Version bumps

19 Oct 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.13.ebuild,
-moodle-2.0.4.ebuild, -moodle-2.1.1.ebuild:
Remove deprecated versions

*moodle-2.1.2 (09 Oct 2011)
*moodle-2.0.5 (09 Oct 2011)
*moodle-1.9.14 (09 Oct 2011)

09 Oct 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.14.ebuild,
+moodle-2.0.5.ebuild, +moodle-2.1.2.ebuild:
Version bumps

18 Aug 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.12.ebuild,
-moodle-2.0.3.ebuild, -moodle-2.1.ebuild:
Removed decprecated versions

*moodle-2.1.1 (02 Aug 2011)
*moodle-2.0.4 (02 Aug 2011)
*moodle-1.9.13 (02 Aug 2011)

02 Aug 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.13.ebuild,
+moodle-2.0.4.ebuild, +moodle-2.1.1.ebuild:
Version bumps

12 Jul 2011; Anthony G. Basile <blueness@gentoo.org> moodle-1.9.12.ebuild,
moodle-2.0.3.ebuild, moodle-2.1.ebuild:
Make moodle depend on either php[gd] or php[gd-external], bug #374605

*moodle-2.1 (09 Jul 2011)

09 Jul 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.11.ebuild,
-moodle-2.0.2.ebuild, +moodle-2.1.ebuild:
Version bump, removed depcreated

*moodle-2.0.3 (11 May 2011)
*moodle-1.9.12 (11 May 2011)

11 May 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.12.ebuild,
+moodle-2.0.3.ebuild:
Version bumps address several security issues.
See http://docs.moodle.org/en/Moodle_1.9.12_release_notes
and http://docs.moodle.org/en/Moodle_2.0.3_release_notes

10 Mar 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.9.ebuild,
-moodle-1.9.9-r1.ebuild, -moodle-1.9.10.ebuild, -moodle-2.0.1.ebuild:
Removed decprecated versions, bug #353431

*moodle-2.0.2 (22 Feb 2011)
*moodle-1.9.11 (22 Feb 2011)

22 Feb 2011; Anthony G. Basile <blueness@gentoo.org>
+moodle-1.9.11.ebuild, +moodle-2.0.2.ebuild, files/postinstall-en.txt:
Version bumps.

*moodle-2.0.1 (08 Jan 2011)

08 Jan 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-2.0.1.ebuild:
Version bump

*moodle-1.9.10 (29 Oct 2010)

29 Oct 2010; Anthony G. Basile <blueness@gentoo.org>
+moodle-1.9.10.ebuild:
Version bump

*moodle-1.9.9-r1 (13 Aug 2010)

13 Aug 2010; Anthony G. Basile <blueness@gentoo.org>
+moodle-1.9.9-r1.ebuild, files/postinstall-en.txt:
Ported to EAPI 2 USE deps. Bug #332165

*moodle-1.9.9 (19 Jul 2010)

19 Jul 2010; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.9.ebuild,
+files/config.php, +files/postinstall-en.txt,
+files/postinstall-nodb-en.txt, +metadata.xml:
New ebuild by Anthony G. Basile. Bug #104275